6.0.0-git
2019-04-25

[#11394] Dynamic imp: View of current folder lost after rename
Summary Dynamic imp: View of current folder lost after rename
Queue IMP
Queue Version Git develop
Type Enhancement
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-09-01 (2427 days ago)
Due
Updated 2012-10-15 (2383 days ago)
Assigned 2012-09-03 (2425 days ago)
Resolved 2012-09-03 (2425 days ago)
Milestone
Patch No

History
2012-10-15 20:36:57 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (develop):

commit 4e501cff15156871c18c4b6d591d11fd827662be
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Sep 3 01:43:22 2012 -0600

     [mms] Load new mailbox when renaming current mailbox in dynamic 
view (Request #11394).

  imp/docs/CHANGES             |    2 ++
  imp/js/dimpbase.js           |   18 +++++++++++++-----
  imp/lib/Ajax/Application.php |    1 +
  imp/lib/Ajax/Queue.php       |    1 +
  imp/package.xml              |    2 ++
  5 files changed, 19 insertions(+), 5 deletions(-)

http://git.horde.org/horde-git/-/commit/4e501cff15156871c18c4b6d591d11fd827662be
2012-09-05 08:19:21 Thomas Jarosch Comment #4 Reply to this comment
This is the expected behavior, so this is an enhancement - not a bug.
Thanks for fixing this. At least it was inconsistent with kronolith 
which stayed in the calendar if one renamed it.

2012-09-03 07:44:49 Michael Slusarz Assigned to Michael Slusarz
State ⇒ Resolved
 
2012-09-03 07:44:46 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 4e501cff15156871c18c4b6d591d11fd827662be
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Sep 3 01:43:22 2012 -0600

     [mms] Load new mailbox when renaming current mailbox in dynamic 
view (Request #11394).

  imp/docs/CHANGES             |    2 ++
  imp/js/dimpbase.js           |   18 +++++++++++++-----
  imp/lib/Ajax/Application.php |    1 +
  imp/lib/Ajax/Queue.php       |    1 +
  imp/package.xml              |    2 ++
  5 files changed, 19 insertions(+), 5 deletions(-)

http://git.horde.org/horde-git/-/commit/4e501cff15156871c18c4b6d591d11fd827662be
2012-09-03 07:44:24 Michael Slusarz Comment #2
Type ⇒ Enhancement
State ⇒ Assigned
Priority ⇒ 1. Low
Reply to this comment
This is the expected behavior, so this is an enhancement - not a bug.
2012-09-01 14:50:08 Thomas Jarosch Summary ⇒ Dynamic imp: View of current folder lost after rename
 
2012-09-01 14:46:49 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Dynamic view: Current folder lost after renam
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

I click on a folder to view the current content. Then I rename the 
current folder to something different. After the rename the mailbox 
content jumps to INBOX.

Any chance to stay in the current folder?
At first I thought the rename is doing something weird :)

Thomas

Saved Queries